xml_document_struct Struct Reference
Inheritance diagram for xml_document_struct:
[legend]
Collaboration diagram for xml_document_struct:
[legend]

## Public Member Functions

| xml_document_struct (xml_memory_page *page)
Public Member Functions inherited from xml_allocator
| xml_allocator (xml_memory_page *root)
xml_memory_page * | allocate_page (size_t data_size)
void * | allocate_memory_oob (size_t size, xml_memory_page *&out_page)
void * | allocate_memory (size_t size, xml_memory_page *&out_page)
void | deallocate_memory (void *ptr, size_t size, xml_memory_page *page)
char_t * | allocate_string (size_t length)
void | deallocate_string (char_t *string)

## Public Attributes

const char_t * | buffer
xml_extra_buffer * | extra_buffers
Public Attributes inherited from xml_allocator
xml_memory_page * | _root
size_t | _busy_size

## Additional Inherited Members

Static Public Member Functions inherited from xml_allocator
static void | deallocate_page (xml_memory_page *page)

## Detailed Description

Definition at line 537 of file pugixml.cpp.

## Constructor & Destructor Documentation

## xml_document_struct()

xml_document_struct::xml_document_struct | ( | xml_memory_page * | page | ) |

inline

Definition at line 539 of file pugixml.cpp.

: xml_node_struct(page, node_document), xml_allocator(page), buffer(0), extra_buffers(0)
{
}
xml_document_struct::buffer
const char_t * buffer
Definition: pugixml.cpp:543
xml_document_struct::extra_buffers
xml_extra_buffer * extra_buffers
Definition: pugixml.cpp:545
xml_allocator::xml_allocator
xml_allocator(xml_memory_page *root)
Definition: pugixml.cpp:316

## Member Data Documentation

## buffer

const char_t* xml_document_struct::buffer

Definition at line 543 of file pugixml.cpp.

Referenced by load_buffer_impl().

## extra_buffers

xml_extra_buffer* xml_document_struct::extra_buffers

Definition at line 545 of file pugixml.cpp.

The documentation for this struct was generated from the following file:

- pugixml.cpp